<?php
// AutoDirector client - shows car list on user web site

// JavaScript header
header('Content-type: text/javascript');

// set application defaults
$defaults='INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;CLIENTFOLDER;';

$ini=parse_ini_file('./autodirector.ini');
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
if ($defaults!='') killScript();
unset($defaults);


// ________________________________________________________
// MAIN APPLICATION
$siteid=getvar('site');
$style=getvar('style');
$pagesizes=getvar('pagesizes', '5,10,25,50,0');
$sp=scriptPath();

// setup array
print "var setup=[];\n";

// settings
print 'setup.cssfile="'.($style!='' && file_exists(CLIENTFOLDER.$style.'.css') ? $sp.CLIENTFOLDER.$style.'.css' : '')."\";\n";
print "setup.pagesizes=[$pagesizes];\n";

// include vehicle data
if ($jsdata=@file_get_contents(DATAFOLDER.$siteid.'/vehicles.js')) print $jsdata."\n\n"; else killScript(1);

// include vehicle functions
if ($jsfuncs=@file_get_contents(CLIENTFOLDER.'carlist.js')) print $jsfuncs."\n\n"; else killScript(2);


// ________________________________________________________
// abort client system
function killScript($errno='') {
	print "document.write(\"<p>An error has occurred and the vehicle list can not be shown. Please try again later. (#$errno).</p>\");\n";
	exit;
}


// ________________________________________________________
// fetches a GET form variable or sets to a default
function getvar($var, $default="") {
	if (isset($_GET[$var])) {
		$ret=$_GET[$var];
		if (get_magic_quotes_gpc()) $ret=stripslashes($ret);
	}
	else {
		$ret=$default;
	}

	return $ret;
}

// ________________________________________________________
// find fully qualified path to script
function scriptPath() {
	$path='http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
	$p=strrpos($path, '/');
	if ($p>0) $path=substr($path, 0, $p+1);
	return $path;
}
?>